<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/test/Transport/MimeParserFuzzTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.9.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_2df864b0a635213c7e15391c7fd2f9dc.html">test</a></li><li class="navelem"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">MimeParserFuzzTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;random&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
<code>#include &lt;curl/curl.h&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_message_consumer_interface_8h_source.html">ACL/Transport/MessageConsumerInterface.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_h_t_t_p2_stream_8h_source.html">ACL/Transport/HTTP2Stream.h</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="_attachment_reader_8h_source.html">AVSCommon/AVS/Attachment/AttachmentReader.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_attachment_writer_8h_source.html">AVSCommon/AVS/Attachment/AttachmentWriter.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_in_process_attachment_8h_source.html">AVSCommon/AVS/Attachment/InProcessAttachment.h</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="_message_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/MessageObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_testable_attachment_manager_8h_source.html">Common/TestableAttachmentManager.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_a_c_l_2test_2_transport_2_common_2_common_8h_source.html">Common/Common.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_mime_utils_8h_source.html">Common/MimeUtils.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_testable_message_observer_8h_source.html">Common/TestableMessageObserver.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_mock_message_request_8h_source.html">MockMessageRequest.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_testable_consumer_8h_source.html">TestableConsumer.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for MimeParserFuzzTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_mime_parser_fuzz_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_c_l_2test_2_transport_2_mime_parser_fuzz_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_c_l_2test_2_transport_2_mime_parser_fuzz_test_8cpp" id="_2workplace_2avs-device-sdk_2_a_c_l_2test_2_transport_2_mime_parser_fuzz_test_8cpp">
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_byte_generator.html">alexaClientSDK::acl::test::ByteGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test.html">alexaClientSDK::acl::test::MimeParserFuzzTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1acl"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">alexaClientSDK::acl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1acl_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html">alexaClientSDK::acl::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mime_parser_fuzz_test_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_registration_manager_8cpp.html#a73216df79c9ad2b23fd2eef0a8f10d1b">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afc094498b709ca4e85fd1587edc09374"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#afc094498b709ca4e85fd1587edc09374">alexaClientSDK::acl::test::TAG</a> (&quot;MimeParserFuzzTest&quot;)</td></tr>
<tr class="memdesc:afc094498b709ca4e85fd1587edc09374"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#afc094498b709ca4e85fd1587edc09374">More...</a><br /></td></tr>
<tr class="separator:afc094498b709ca4e85fd1587edc09374"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68dd4c36b29813ca03786373142e7bc6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a68dd4c36b29813ca03786373142e7bc6">alexaClientSDK::acl::test::TEST_F</a> (MimeParserFuzzTest, testRandomFeedAndReadSizesOfRandomData)</td></tr>
<tr class="separator:a68dd4c36b29813ca03786373142e7bc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a0136ee87f582eb3ce148dac75f901c79"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a0136ee87f582eb3ce148dac75f901c79">alexaClientSDK::acl::test::FEED_COUNT</a> = 0x100</td></tr>
<tr class="memdesc:a0136ee87f582eb3ce148dac75f901c79"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of feed() calls to be made in <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test.html#a939f45f2a0bd99fb8a4b2fb71ed99cdd">MimeParserFuzzTest::feed()</a></code>  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a0136ee87f582eb3ce148dac75f901c79">More...</a><br /></td></tr>
<tr class="separator:a0136ee87f582eb3ce148dac75f901c79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54d3d0dbc6fae87e48b20282802223e9"><td class="memItemLeft" align="right" valign="top">static const size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a54d3d0dbc6fae87e48b20282802223e9">alexaClientSDK::acl::test::MAX_FEED_SIZE</a> = (InProcessAttachment::SDS_BUFFER_DEFAULT_SIZE_IN_BYTES / FEED_COUNT) * 4</td></tr>
<tr class="memdesc:a54d3d0dbc6fae87e48b20282802223e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Max pseudo-random buffer size to pass to <code>feed()</code> (large enough to assure we trigger attachment buffer full)  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a54d3d0dbc6fae87e48b20282802223e9">More...</a><br /></td></tr>
<tr class="separator:a54d3d0dbc6fae87e48b20282802223e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa305d6c6cfb937b7e27232d281da59ec"><td class="memItemLeft" align="right" valign="top">static const size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#aa305d6c6cfb937b7e27232d281da59ec">alexaClientSDK::acl::test::MAX_READ_SIZE</a> = MAX_FEED_SIZE / 8</td></tr>
<tr class="memdesc:aa305d6c6cfb937b7e27232d281da59ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Max buffer size to read from the attachment reader (small enough trigger multiple reads per feed)  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#aa305d6c6cfb937b7e27232d281da59ec">More...</a><br /></td></tr>
<tr class="separator:aa305d6c6cfb937b7e27232d281da59ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a165f7ee9321f19b2a59a67d1bb837da5"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a165f7ee9321f19b2a59a67d1bb837da5">alexaClientSDK::acl::test::BYTES_SEED</a> = 1</td></tr>
<tr class="memdesc:a165f7ee9321f19b2a59a67d1bb837da5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Consistent seed (for repeatable tests) with which to generate pseudo-random bytes.  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a165f7ee9321f19b2a59a67d1bb837da5">More...</a><br /></td></tr>
<tr class="separator:a165f7ee9321f19b2a59a67d1bb837da5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a835ab0c69a31f5f6ce58969aeae91878"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a835ab0c69a31f5f6ce58969aeae91878">alexaClientSDK::acl::test::FEED_SIZE_SEED</a> = 2</td></tr>
<tr class="memdesc:a835ab0c69a31f5f6ce58969aeae91878"><td class="mdescLeft">&#160;</td><td class="mdescRight">Consistent seed (for repeatable tests) with which to generate pseudo-random feed sizes.  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a835ab0c69a31f5f6ce58969aeae91878">More...</a><br /></td></tr>
<tr class="separator:a835ab0c69a31f5f6ce58969aeae91878"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cc69e4f1fc47a5541b2ff2e583a6d7f"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a2cc69e4f1fc47a5541b2ff2e583a6d7f">alexaClientSDK::acl::test::READ_SIZE_SEED</a> = FEED_SIZE_SEED + 1</td></tr>
<tr class="memdesc:a2cc69e4f1fc47a5541b2ff2e583a6d7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Consistent but different seed (for repeatable tests) with which to generate pseudo-random read sizes.  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a2cc69e4f1fc47a5541b2ff2e583a6d7f">More...</a><br /></td></tr>
<tr class="separator:a2cc69e4f1fc47a5541b2ff2e583a6d7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a6a0bca1c9c8a3bc845e42e0bda6f61"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a9a6a0bca1c9c8a3bc845e42e0bda6f61">alexaClientSDK::acl::test::CONTENT_ID</a> = &quot;CONTENT_ID&quot;</td></tr>
<tr class="memdesc:a9a6a0bca1c9c8a3bc845e42e0bda6f61"><td class="mdescLeft">&#160;</td><td class="mdescRight">Content ID for mime part.  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a9a6a0bca1c9c8a3bc845e42e0bda6f61">More...</a><br /></td></tr>
<tr class="separator:a9a6a0bca1c9c8a3bc845e42e0bda6f61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12e407b17f99b3699951b17d5a79ba59"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a12e407b17f99b3699951b17d5a79ba59">alexaClientSDK::acl::test::CONTEXT_ID</a> = &quot;CONTEXT_ID&quot;</td></tr>
<tr class="memdesc:a12e407b17f99b3699951b17d5a79ba59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Context ID for generating attachment ID.  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a12e407b17f99b3699951b17d5a79ba59">More...</a><br /></td></tr>
<tr class="separator:a12e407b17f99b3699951b17d5a79ba59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6640333c38046dedbf8daa23e54b6644"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a6640333c38046dedbf8daa23e54b6644">alexaClientSDK::acl::test::CRLF</a> = &quot;\r\n&quot;</td></tr>
<tr class="memdesc:a6640333c38046dedbf8daa23e54b6644"><td class="mdescLeft">&#160;</td><td class="mdescRight">CR,LF to separate lines in mime headers and boundaries.  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a6640333c38046dedbf8daa23e54b6644">More...</a><br /></td></tr>
<tr class="separator:a6640333c38046dedbf8daa23e54b6644"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31d876e1bf652862cb3d5bca8bee6575"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a31d876e1bf652862cb3d5bca8bee6575">alexaClientSDK::acl::test::DASHES</a> = &quot;--&quot;</td></tr>
<tr class="memdesc:a31d876e1bf652862cb3d5bca8bee6575"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dashes used as a prefix or suffix to mime boundaries.  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a31d876e1bf652862cb3d5bca8bee6575">More...</a><br /></td></tr>
<tr class="separator:a31d876e1bf652862cb3d5bca8bee6575"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4e042c2dd2264fa6f44e814d4ff774e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#aa4e042c2dd2264fa6f44e814d4ff774e">alexaClientSDK::acl::test::BOUNDARY</a> = &quot;BoundaryBoundaryBoundaryBoundaryBoundaryBoundaryBoundary&quot;</td></tr>
<tr class="memdesc:aa4e042c2dd2264fa6f44e814d4ff774e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mime Boundary string (without CR,LF or dashes).  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#aa4e042c2dd2264fa6f44e814d4ff774e">More...</a><br /></td></tr>
<tr class="separator:aa4e042c2dd2264fa6f44e814d4ff774e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc4e5a41692aa4de760cc3e27ad7af09"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#afc4e5a41692aa4de760cc3e27ad7af09">alexaClientSDK::acl::test::ATTACHMENT_PREFIX</a></td></tr>
<tr class="memdesc:afc4e5a41692aa4de760cc3e27ad7af09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mime prefix to our attachment.  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#afc4e5a41692aa4de760cc3e27ad7af09">More...</a><br /></td></tr>
<tr class="separator:afc4e5a41692aa4de760cc3e27ad7af09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97f3565a50948b494590071d3f3bf592"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a97f3565a50948b494590071d3f3bf592">alexaClientSDK::acl::test::ATTACHMENT_SUFFIX</a> = CRLF + DASHES + BOUNDARY + DASHES</td></tr>
<tr class="memdesc:a97f3565a50948b494590071d3f3bf592"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mime suffix terminating our attachment.  <a href="namespacealexa_client_s_d_k_1_1acl_1_1test.html#a97f3565a50948b494590071d3f3bf592">More...</a><br /></td></tr>
<tr class="separator:a97f3565a50948b494590071d3f3bf592"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_registration_manager_8cpp.html#a73216df79c9ad2b23fd2eef0a8f10d1b">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.9.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
